package com.ximai.mes.pro.domain.sap;

import com.alibaba.fastjson.annotation.JSONField;
import com.ximai.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * title:
 * author:ZHT
 * date:2024/3/1
 * description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SAPDtoProWorkOrderBom extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * SAP的物料号
     */
    @JSONField(name = "MATNR")
    private String sapItemCode;

    private String sapItemCodes;


    /**
     * 预留/相关需求的编号
     */
    @JSONField(name = "RSNUM")
    private String requirementNumber;

    /**
     * 预留/相关需求的项目编号
     */
    @JSONField(name = "RSPOS")
    private String requirementProjectNumber;

    /**
     * 组件数量
     */
    @JSONField(name = "BDMNG")
    private String quantity;

    /**
     * 存储地点
     */
    @JSONField(name = "LGORT")
    private String storeAddr;

    /**
     * 备选物料清单
     */
    @JSONField(name = "STLAL")
    private String alternativeBill;

    /**
     * 报废百分比
     */
    @JSONField(name = "AUSCH")
    private String scrapPercentage;

    /**
     * 单位用量
     */
    @JSONField(name = "ESMNG")
    private String unitUsage;

    /**
     * 虚拟项目标识
     */
    @JSONField(name = "DUMPS")
    private String virtualProjectLog;

    /**
     * 基本计量单位
     */
    @JSONField(name = "MEINS")
    private String unitOfMeasure;

    /**
     * 存储地点
     */
    @JSONField(name = "UMLGO")
    private String storeAddr2;

    /**
     * 工序编号
     */
    @JSONField(name = "VORNR")
    private String processRef;

    /**
     * 副单位
     */
    private String deputyUnitOfMeasure;

    /**
     * 主副单位转换比例
     */
    private String unitConvert;

    // RGEKZ 反冲标识

    @JSONField(name = "RGEKZ")
    private String isBackflush;

}
